be.fgov.ehealth.etee.crypto.status

## Enum NotificationWarning

- java.lang.Object
- - java.lang.Enum<NotificationWarning>
  - - be.fgov.ehealth.etee.crypto.status.NotificationWarning

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotificationWarning>

      public enum NotificationWarning
      extends java.lang.Enum<NotificationWarning>

  A NotificationWarning indicates that the validation or unsealing of a sealed message was successfully completed, BUT that verification of the integrity or author authentication of the message resulted in warnings to consider.
  The source of the failure is described by the NotificationWarning.
  Acceptance of a message with warnings is a matter of a recipient's discretion.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRL_TRUST_NOT_VERIFIED` A local CRL was used for revocationcheck but it could not be verified on reliability.
    `OCSP_NOT_EMBEDDED` An embedded OCSP was expected in the message but not found.
    `SIGNING_TIME_EXPIRED` Expired Signing Time.
    `SIGNING_TIME_MISSING` No Signing Time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationWarning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotificationWarning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGNING_TIME_MISSING

          public static final NotificationWarning SIGNING_TIME_MISSING

      No Signing Time. Message treated as new.

    - #### SIGNING_TIME_EXPIRED

          public static final NotificationWarning SIGNING_TIME_EXPIRED

      Expired Signing Time. If you have doubts about the reliability of this message, request for an Audit Trail.

    - #### OCSP_NOT_EMBEDDED

          public static final NotificationWarning OCSP_NOT_EMBEDDED

      An embedded OCSP was expected in the message but not found. An online OCSP verification should have been executed.

    - #### CRL_TRUST_NOT_VERIFIED

          public static final NotificationWarning CRL_TRUST_NOT_VERIFIED

      A local CRL was used for revocationcheck but it could not be verified on reliability. If you have doubts about the reliability of this CRL, you should not trust it.

  - ### Method Detail

    - #### values

          public static NotificationWarning[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationWarning c : NotificationWarning.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationWarning valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 eHealth. All rights reserved.